MIPI_DSI_DCS_WRITE_B(9)

NAME
mipi_dsi_dcs_write_buffer - transmit a DCS command with payload

SYNOPSIS

ssize_t mipi_dsi_dcs_write_buffer(struct mipi_dsi_device * dsi, const void * data, size_t len);

ARGUMENTS

dsi
    DSI peripheral device

data
    buffer containing data to be transmitted

len
    size of transmission buffer

DESCRIPTION

This function will automatically choose the right data type depending on the command payload length.

RETURN

The number of bytes successfully transmitted or a negative error code on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT